A link's report as CSV, up to 10 000 rows and 5 MiB, every cell a spreadsheet could read as a formula written after a '
GET
/v1/shared/reports/{token}/csv
const url = 'https://example.com/v1/shared/reports/example/csv';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/shared/reports/example/csvWho: anyone.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”token
required
string
Responses
Section titled “Responses”The file, as an attachment
Media typetext/csv
string
default
Section titled “default”An error, as go-commons apperr maps it
Media typeapplication/json
object
error
required
object
code
required
string
fields
object
key
additional properties
string
message
required
string
Example generated
{ "error": { "code": "example", "fields": { "additionalProperty": "example" }, "message": "example" }}